CVE-2001-0990
CVSS4.6
发布时间 :2001-09-04 00:00:00
修订时间 :2008-09-05 16:25:24
NMCOS    

[原文]Inter7 vpopmail 4.10.35 and earlier, when using the MySQL module, compiles authentication information in cleartext into the libvpopmail.a library, which allows local users to obtain the MySQL username and password by inspecting the vpopmail programs that use the library.


[CNNVD]Inter7 vpopmail MySQL 认证数据恢复漏洞(CNNVD-200109-007)

        CVE(CAN) ID: CAN-2001-0990
        
        
        
        Inter7 vpopmail是一款免费软件包,它为系统管理员提供了管理虚拟Email域名和
        
        Qmail或Postfix服务器上的非系统的Email密码提供了方便。
        
        
        
        如果我们把vpopmail配置为使用MySql数据库的话,就可能导致敏感认证信息的泄露。
        
        这是因为MySql数据库密码被明文存储在库文件"libvpopmail.a"中,而vpopmail所带
        
        的几个命令行程序都用到了这个库文件,因此也就相当于包含了这个密码,而这些命令
        
        行程序都是全局可读的,因此可能导致本地攻击者获得这些敏感信息。
        
        
        
        

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:inter7:vpopmail:3.4.7
cpe:/a:inter7:vpopmail:4.9.10
cpe:/a:inter7:vpopmail:4.8
cpe:/a:inter7:vpopmail:3.4.8
cpe:/a:inter7:vpopmail:3.4.4
cpe:/a:inter7:vpopmail:4.6
cpe:/a:inter7:vpopmail:3.4.11e
cpe:/a:inter7:vpopmail:4.5
cpe:/a:inter7:vpopmail:3.4.9
cpe:/a:inter7:vpopmail:3.4.10
cpe:/a:inter7:vpopmail:3.4.5
cpe:/a:inter7:vpopmail:3.4.3
cpe:/a:inter7:vpopmail:4.9
cpe:/a:inter7:vpopmail:3.4.1
cpe:/a:inter7:vpopmail:4.7
cpe:/a:inter7:vpopmail:3.4.6
cpe:/a:inter7:vpopmail:3.4.11
cpe:/a:inter7:vpopmail:3.4.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0990
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0990
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200109-007
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/archive/1/212036
(VENDOR_ADVISORY)  BUGTRAQ  20010904 BUZ.CH Security Advisory 200109041: Inter7 vpopmail DB pw problem
http://xforce.iss.net/static/7076.php
(VENDOR_ADVISORY)  XF  vpopmail-insecure-auth-data(7076)
http://www.securityfocus.com/bid/3284
(VENDOR_ADVISORY)  BID  3284
http://www.inter7.com/vpopmail/ChangeLog
(UNKNOWN)  MISC  http://www.inter7.com/vpopmail/ChangeLog

- 漏洞信息

Inter7 vpopmail MySQL 认证数据恢复漏洞
中危 设计错误
2001-09-04 00:00:00 2005-10-20 00:00:00
本地  
        CVE(CAN) ID: CAN-2001-0990
        
        
        
        Inter7 vpopmail是一款免费软件包,它为系统管理员提供了管理虚拟Email域名和
        
        Qmail或Postfix服务器上的非系统的Email密码提供了方便。
        
        
        
        如果我们把vpopmail配置为使用MySql数据库的话,就可能导致敏感认证信息的泄露。
        
        这是因为MySql数据库密码被明文存储在库文件"libvpopmail.a"中,而vpopmail所带
        
        的几个命令行程序都用到了这个库文件,因此也就相当于包含了这个密码,而这些命令
        
        行程序都是全局可读的,因此可能导致本地攻击者获得这些敏感信息。
        
        
        
        

- 公告与补丁

        
        
        临时解决方法:
        
        
        
        # chmod 711 ~vpopmail/bin/*
        
        # chmod 400 ~vpopmail/lib/*
        
        
        
        厂商补丁:
        
        
        
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商
        
        的主页以获取最新版本:
        
        
        http://www.inter7.com/vpopmail/

- 漏洞信息

9911
Inter7 vpopmail MySQL Module Authentication Credential Disclosure
Information Disclosure
Loss of Confidentiality

- 漏洞描述

Unknown or Incomplete

- 时间线

2001-09-04 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Inter7 vpopmail MySQL Authentication Data Recovery Vulnerability
Design Error 3284
No Yes
2001-09-04 12:00:00 2009-07-11 07:56:00
Reported to Bugtraq by Gabriel Ambuehl <gabriel_ambuehl@buz.ch> on September 4, 2001.

- 受影响的程序版本

Inter7 vpopmail (vchkpw) 4.9.10
Inter7 vpopmail (vchkpw) 4.9
Inter7 vpopmail (vchkpw) 4.8
Inter7 vpopmail (vchkpw) 4.7
Inter7 vpopmail (vchkpw) 4.6
Inter7 vpopmail (vchkpw) 4.5
Inter7 vpopmail (vchkpw) 3.4.11 e
Inter7 vpopmail (vchkpw) 3.4.11
Inter7 vpopmail (vchkpw) 3.4.10
Inter7 vpopmail (vchkpw) 3.4.9
Inter7 vpopmail (vchkpw) 3.4.8
Inter7 vpopmail (vchkpw) 3.4.7
Inter7 vpopmail (vchkpw) 3.4.6
Inter7 vpopmail (vchkpw) 3.4.5
Inter7 vpopmail (vchkpw) 3.4.4
Inter7 vpopmail (vchkpw) 3.4.3
Inter7 vpopmail (vchkpw) 3.4.2
Inter7 vpopmail (vchkpw) 3.4.1

- 漏洞讨论

Inter7 vpopmail is a freely-available software package that provides an way for system administrators to manage virtual email domains and non-system password based email accounts on Qmail or Postfix mail servers.

A vunerability exists in vpopmail that may result in the disclosure of sensitive authentication information when the package is configured to use a MySQL database. The command-line programs included in the package are linked against object files containing this authentication information, stored in cleartext.

The programs are installed with world-readable file access permissions. As a result, it may be possible for an attacker with local access to retrieve the authentication information by examining one of the programs.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

Currently the SecurityFocus staff are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站